package cz.moneta.test.dsl.util.task.cagw.api;

import cz.moneta.test.dsl.Harness;

public class ApiTasks {

    private final Harness harness;

    public ApiTasks(Harness harness) {
        this.harness = harness;
    }

    public PaymentTasks payment() {
        return new PaymentTasks(harness);
    }

    public StatusTasks status() {
        return new StatusTasks(harness);
    }

    public AccountsTasks accounts(){
        return new AccountsTasks(harness); }

    public BalanceTasks balance() {
        return new BalanceTasks(harness); }

    public TransactionsTasks transactions() {
        return new TransactionsTasks(harness); }

    public BusinessCardTasks businessCard() {
        return new BusinessCardTasks(harness); }

    public ClientTasks client() {
        return new ClientTasks(harness);
    }
}